Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.util
Class ContextUtilities

    java.lang.Object
      |
      +--org.openorb.util.ContextUtilities

Deprecated. Deprecated, methods do not throw exceptions. Use `MapNamingContext` from the new Transient Name Service (TNS), see NamingService package (openorb_tns-x.y.z.jar). This class will be removed very soon now, please follow the recommendations above.

public class ContextUtilities
extends java.lang.Object

This class is the implementation of tools in order to use simply Corba CosNaming.

Version:
  $Revision: 1.11 $ $Date: 2002/06/28 08:59:06 $
Author:
  Marina Daniel

Constructor Summary
`ContextUtilities(ORB orb)` Deprecated. Constructor.

Method Summary
`boolean` | `bind(java.lang.String name, Object object)` Deprecated. Creates a binding of a name and an object in the naming context.
`NamingContextExt` | `getInitialContext()` Deprecated. Return the initial context of the Naming Service.
`boolean` | `rebind(java.lang.String name, Object object)` Deprecated. Creates a binding of a name and an object in the naming context even if the name is already bound in the context.
`Object` | `resolve(java.lang.String name)` Deprecated. Find and return the object that is store in the directory.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextUtilities

    public ContextUtilities(ORB orb)

  Deprecated.
  Constructor.
  Parameters:
    `orb` - the orb reference

Method Detail

### getInitialContext

    public NamingContextExt getInitialContext()

  Deprecated.
  Return the initial context of the Naming Service.
  Returns:
    the initial context

### bind

    public boolean bind(java.lang.String name,
                        Object object)

  Deprecated.
  Creates a binding of a name and an object in the naming context.
  Parameters:
    `name` - The compound name for the object to bind. The syntax is ContextA.kindA/ContextB.kindB/obj_name you can specify all the hierarchical naming contexts (the kind of each context is optional). If a naming context do not exist, it will be created
    `object` - The object to bind
  Returns:
    false if a problem occurs

### rebind

    public boolean rebind(java.lang.String name,
                          Object object)

  Deprecated.
  Creates a binding of a name and an object in the naming context even if the name is already bound in the context.
  Parameters:
    `name` - The compound name for the object to bind. The syntax is ContextA.kindA/ContextB.kindB/obj_name you can specify all the hierarchical naming contexts (the kind of each context is optional). If a naming context do not exist, it will be created
    `object` - The object to bind
  Returns:
    false if a problem occurs

### resolve

    public Object resolve(java.lang.String name)

  Deprecated.
  Find and return the object that is store in the directory. Name resolution can have multiple contexts.
  Parameters:
    `name` - The coumpond name for the object to resolve. The syntax of this parameter is simple : ContextA.kindA/ContextB.kindB/obj_name the kind value of each context is optional
  Returns:
    The resolved object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD